Matrix Synap Synapse JSON denial of service

voceeditHistoryDiffjsonxmlCTI

Un punto di criticita di livello problematico è stato rilevato in Matrix Synap Synapse. Interessato da questa vulnerabilità è una funzione sconosciuta del componente JSON Handler. L'aggiornamento alla versione 1.20.0 elimina questa vulnerabilità.

Campo24/11/2020 10:35 AM10/12/2020 09:38 AM10/12/2020 09:43 AM
vendorMatrixMatrixMatrix
nameSynapSynapSynap
versionSynapseSynapseSynapse
componentJSON HandlerJSON HandlerJSON Handler
cwe404 (denial of service)404 (denial of service)404 (denial of service)
risk111
cvss3_vuldb_avNNN
cvss3_vuldb_cNNN
cvss3_vuldb_iNNN
cvss3_vuldb_aLLL
cvss3_vuldb_rlOOO
cvss3_vuldb_rcCCC
urlhttps://github.com/matrix-org/synapse/security/advisories/GHSA-4mp3-385r-v63fhttps://github.com/matrix-org/synapse/security/advisories/GHSA-4mp3-385r-v63fhttps://github.com/matrix-org/synapse/security/advisories/GHSA-4mp3-385r-v63f
nameUpgradeUpgradeUpgrade
upgrade_version1.20.01.20.01.20.0
cveCVE-2020-26890CVE-2020-26890CVE-2020-26890
date1606172400 (24/11/2020)1606172400 (24/11/2020)1606172400 (24/11/2020)
cvss2_vuldb_avNNN
cvss2_vuldb_ciNNN
cvss2_vuldb_iiNNN
cvss2_vuldb_aiPPP
cvss2_vuldb_rcCCC
cvss2_vuldb_rlOFOFOF
cvss2_vuldb_acMMM
cvss2_vuldb_auSSS
cvss2_vuldb_eNDNDND
cvss3_vuldb_acLLL
cvss3_vuldb_prLLL
cvss3_vuldb_uiNNN
cvss3_vuldb_sUUU
cvss3_vuldb_eXXX
cvss2_vuldb_basescore3.53.53.5
cvss2_vuldb_tempscore3.53.03.0
cvss3_vuldb_basescore4.34.34.3
cvss3_vuldb_tempscore4.34.14.1
cvss3_meta_basescore4.34.35.9
cvss3_meta_tempscore4.34.15.6
price_0day$0-$5k$0-$5k$0-$5k
cve_assigned16021080001602108000
cve_nvd_summaryMatrix Synapse before 1.20.0 erroneously permits non-standard NaN, Infinity, and -Infinity JSON values in fields of m.room.member events, allowing remote attackers to execute a denial of service attack against the federation and common Matrix clients. If such a malformed event is accepted into the room's state, the impact is long-lasting and is not fixed by an upgrade to a newer version, requiring the event to be manually redacted instead. Since events are replicated to servers of other room members, the impact is not constrained to the server of the event sender.Matrix Synapse before 1.20.0 erroneously permits non-standard NaN, Infinity, and -Infinity JSON values in fields of m.room.member events, allowing remote attackers to execute a denial of service attack against the federation and common Matrix clients. If such a malformed event is accepted into the room's state, the impact is long-lasting and is not fixed by an upgrade to a newer version, requiring the event to be manually redacted instead. Since events are replicated to servers of other room members, the impact is not constrained to the server of the event sender.
cvss3_nvd_avN
cvss3_nvd_acL
cvss3_nvd_prN
cvss3_nvd_uiN
cvss3_nvd_sU
cvss3_nvd_cN
cvss3_nvd_iN
cvss3_nvd_aH
cvss2_nvd_avN
cvss2_nvd_acL
cvss2_nvd_auN
cvss2_nvd_ciN
cvss2_nvd_iiN
cvss2_nvd_aiP
cvss2_nvd_basescore5.0
cvss3_nvd_basescore7.5

Want to stay up to date on a daily basis?

Enable the mail alert feature now!